Get details of a workflow

Returns the details of a Workflow by Workflow name.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

namestringRequired
Name of Workflow to get Workflow details.

Response

Workflow details matching the Workflow name.
namestring
typestringDefaults to automation
tasksobject
transitionsobject
groupslist of strings
canvasVersiondouble
_idstringformat: "^[0-9a-f]{8}(-[0-9a-f]{4}){3}-[0-9a-f]{12}$"
uuidstringformat: "^[0-9a-f]{8}(-[0-9a-f]{4}){3}-[0-9a-f]{12}$"
namespaceobject
descriptionstring or null
preAutomationTimeinteger

Time (milliseconds) automation would have taken someone to complete without using IAP.

slainteger
errorHandlerobject or null

Deprecated gen2-specific feature

font_sizeinteger6-24Defaults to 12

Deprecated, unused, gen1-specific feature

createdstringformat: "date-time"
created_byobject or string
createdVersionstring
last_updatedstringformat: "date-time"
last_updated_byobject or string
lastUpdatedVersionstring

This value represents the semantic version of the application that last modified it. For workflows with canvasVersion = 1, this field will refer to the version of Workflow Builder. For workflows with canvasVersion > 1, this field will refer to the version of Studio.

tagslist of strings
encodingVersionenum
Allowed values:
inputSchemaobject
outputSchemaobject
outputDatamap from strings to objects

Deprecated gen2-specific feature

decoratorslist of objects
migrationVersioninteger>=0
scenarioslist of objects

Errors

500
Internal Server Error